Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055282 - [abrt] shotwell: _g_log_abort(): shotwell killed by SIGABRT
Summary: [abrt] shotwell: _g_log_abort(): shotwell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:12664222869d1308156f475f491...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 22:59 UTC by Stefan
Modified: 2015-06-29 14:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:35:44 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: cgroup (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: core_backtrace (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: dso_list (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: environ (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: limits (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: maps (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: open_fds (deleted)
2014-01-19 22:59 UTC, Stefan
no flags Details
File: proc_pid_status (deleted)
2014-01-19 23:00 UTC, Stefan
no flags Details
File: var_log_messages (deleted)
2014-01-19 23:00 UTC, Stefan
no flags Details

Description Stefan 2014-01-19 22:59:37 UTC
Version-Release number of selected component:
shotwell-0.15.1-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        shotwell
crash_function: _g_log_abort
executable:     /usr/bin/shotwell
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at /lib64/libglib-2.0.so.0
 #5 data_source_contact_subscribers
 #6 _library_photo_generate_thumbnails_one_shot_callback
 #7 _one_shot_scheduler_callback_wrapper_gsource_func
 #9 g_main_context_iterate.isra.24 at /lib64/libglib-2.0.so.0
 #10 g_main_context_iteration at /lib64/libglib-2.0.so.0
 #11 g_application_run at /lib64/libgio-2.0.so.0
 #12 application_start
 #13 library_exec
 #14 _vala_main

Comment 1 Stefan 2014-01-19 22:59:42 UTC
Created attachment 852526 [details]
File: backtrace

Comment 2 Stefan 2014-01-19 22:59:44 UTC
Created attachment 852527 [details]
File: cgroup

Comment 3 Stefan 2014-01-19 22:59:46 UTC
Created attachment 852528 [details]
File: core_backtrace

Comment 4 Stefan 2014-01-19 22:59:49 UTC
Created attachment 852529 [details]
File: dso_list

Comment 5 Stefan 2014-01-19 22:59:51 UTC
Created attachment 852530 [details]
File: environ

Comment 6 Stefan 2014-01-19 22:59:52 UTC
Created attachment 852531 [details]
File: limits

Comment 7 Stefan 2014-01-19 22:59:57 UTC
Created attachment 852532 [details]
File: maps

Comment 8 Stefan 2014-01-19 22:59:59 UTC
Created attachment 852533 [details]
File: open_fds

Comment 9 Stefan 2014-01-19 23:00:01 UTC
Created attachment 852534 [details]
File: proc_pid_status

Comment 10 Stefan 2014-01-19 23:00:03 UTC
Created attachment 852535 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:35:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 14:35:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.